<?php 
/*
Plugin Name: Zoho SalesIQ-Woocommerce
Plugin URI: http://wordpress.org/plugins/zoho-salesiq/
Description: Convert Website Visitors into Customers
Author: Zoho SalesIQ Team
Version: 1.0.8
Author URI: http://zoho.com/salesiq
*/
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

add_action('admin_menu', 'addmenu');   

function addmenu() { 
	add_submenu_page( 'woocommerce', 'Zoho SalesIQ', 'Zoho SalesIQ', 'manage_options', 'zoho-salesiq', 'settings_action' );
}
function settings_action() {
	include ('admin-settings.php');
}
function injectEmbedCode()
{
	if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {

		if (trim(get_option('zsiqenable_productbtn')) == 1){
			add_action( 'woocommerce_after_add_to_cart_button', 'add_chat_button_on_product_page', 30 );
		}
	    $zsiqembed_str = trim(get_option('zsiqembed'));

	    if ( !preg_match( "/^<script[^>]*>\s*.+\s*(float\.ls|.+widgetcode.+\/widget)\s*.+\s*<\/script>$/s", $zsiqembed_str ) )
	    {
	         return;
	    }

	    if(!strpos($zsiqembed_str, "/widget?plugin_source")){
	    	$zsiqembed_str = str_replace("/widget","/widget?plugin_source=woocommerce",$zsiqembed_str);
	    }
	    $zsiqembed_str .= '<script> $zoho.salesiq.internalready = function() { ';

	    if ( is_user_logged_in() ) # wp method
	    {
	         $current_user = wp_get_current_user();
	         if ( $current_user instanceof WP_User )
	         {
	              $zsiqembed_str .= '$zoho.salesiq.visitor.name("' . $current_user->user_login . '");';
	              $zsiqembed_str .= '$zoho.salesiq.visitor.email("' . $current_user->user_email . '");';
	         }
	    }

	    if (trim(get_option('zsiqenable_embed')) == 1)
	    {
	         $zsiqembed_str .= '$zoho.salesiq.floatbutton.visible("hide");';
	    }
	    $zsiqembed_str .= '}</script>';
	    echo $zsiqembed_str;
	}
}
function add_chat_button_on_product_page() {

	global $product;
	echo "<button type='submit' name='chat-handler'  class='single_add_to_cart_button button alt' onclick='clickToChat(event,".$product.")'>Click here to chat</button>";
	wp_enqueue_script("zoho-salesiq-chat",plugins_url('button.js', __FILE__));
}
if(defined('WP_ADMIN'))
{
	add_action("wp_enqueue_scripts","injectEmbedCode",'','',true);
}
else
{
	add_action("wp_print_scripts","injectEmbedCode",'','',true);
}
?>
